function nod_area = median_cell_area(nod,tri,tri_area);
% areas of the median cells
% for (nod, tri) triangulation. 
% tri_area: areas of the triangles, computed by
%           e.g., triangle_area
%
% 30.06.03 by Vita
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n = length(nod);

nod_area = zeros(n,1);

for ctr = 1:n % a loop over all nodes
  % find in which triangles the concrete node 
  % is a vertice
  
  vertice1 = find(tri(:,1)==ctr);
  vertice2 = find(tri(:,2)==ctr); 
  vertice3 = find(tri(:,3)==ctr);
  
  vertice = [vertice1; vertice2; vertice3];
  
  %disp(['node ',num2str(ctr)])
  %disp(vertice')
  
  area = 0;
  for i = 1:length(vertice)
    area = area + tri_area(vertice(i))/3;
  end
  nod_area(ctr) = area;
end
